<?php
class Form extends AppModel {


# ~ beforeSave - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
	public function beforeSave($options) {

		# Only for inherited models
		if(__CLASS__ != 'Form') {
			$this->data[$this->alias] += array('ip' => $_SERVER['REMOTE_HTTP'], 'agent' => $_SERVER['HTTP_USER_AGENT']);
		}
	}


}
